iOS SDK iOS SDK v1.4
最終更新日 2015-6-23

はじめに

Appiaries iOS SDK 1.4.0 開発者ガイド

このドキュメントについて

重要なおしらせ

v.1.4.0 につきましては引き続き保守をおこないますが、本年2015年9月にサポート終了 を予定しております。
v.1.4.0 を利用いただいているお客様はできるだけお早めに v.2.0.0 へ移行することをお勧めいたします。

想定する読者について

本ドキュメントは、アピアリーズをバックエンドサーバとして使用する、iOSアプリ開発者向けの内容となっています。

SDKの利用にあたっての前提条件

以下に、Appiaries iOS SDK(以降、iOS SDK、または単に SDK と表記)を利用するにあたっての前提条件を示します。

  • アピアリーズのアカウントを作成済みであること
  • iOSアプリ開発について基本的な知識/理解を有すること
  • JSONフォーマットについて基本的な知識/理解を有すること
  • RESTアーキテクチャスタイルについて基本的な知識/理解を有すること

SDK がサポートする iOS バージョン一覧

iOS バージョン
iOS 6.0
iOS 6.1
iOS 7.0
iOS 7.1
iOS 8.0

SDKの利用にあたっての注意事項

依存ライブラリ/フレームワーク

SDK の利用には、以下に挙げるフレームワークが必要となります。

フレームワーク名
CoreFoundation.framework
Foundation.framework
MobileCoreServices.framework
QuartzCore.framework
UIKit.framework

Facebookとの連携を行う場合は、別途、以下に挙げるライブラリが必要となります。

ライブラリ名 バージョン 配布先リンク
FacebookSDK.framework, Bolts.Framework 3.2.0 » 外部サイト Facebook SDK ダウンロードページへ移動します

関連情報